Package org.jboss.resteasy.client.jaxrs.engines

## Class ClientHttpEngineBuilder43

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.engines.ClientHttpEngineBuilder43

- All Implemented Interfaces:
    `ClientHttpEngineBuilder`

      public class ClientHttpEngineBuilder43
      extends Object
      implements ClientHttpEngineBuilder

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientHttpEngineBuilder43()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ClientHttpEngine` | `build()` |
    `protected ClientHttpEngine` | `createEngine​(org.apache.http.conn.HttpClientConnectionManager cm, org.apache.http.client.config.RequestConfig.Builder rcBuilder, org.apache.http.HttpHost defaultProxy, int responseBufferSize, HostnameVerifier verifier, SSLContext theContext)` |
    `ClientHttpEngineBuilder` | `resteasyClientBuilder​(ResteasyClientBuilder resteasyClientBuilder)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientHttpEngineBuilder43

          public ClientHttpEngineBuilder43()

  - ### Method Detail

    - #### resteasyClientBuilder

          public ClientHttpEngineBuilder resteasyClientBuilder​(ResteasyClientBuilder resteasyClientBuilder)

      Specified by:
        `resteasyClientBuilder` in interface `ClientHttpEngineBuilder`

    - #### build

          public ClientHttpEngine build()

      Specified by:
        `build` in interface `ClientHttpEngineBuilder`

    - #### createEngine

          protected ClientHttpEngine createEngine​(org.apache.http.conn.HttpClientConnectionManager cm,
                                                  org.apache.http.client.config.RequestConfig.Builder rcBuilder,
                                                  org.apache.http.HttpHost defaultProxy,
                                                  int responseBufferSize,
                                                  HostnameVerifier verifier,
                                                  SSLContext theContext)